### Function

# GLib compute_checksum_for_bytes

since: 2.34

#### Declaration

    gchar*
    g_compute_checksum_for_bytes (
      GChecksumType checksum_type,
      GBytes* data
    )

#### Description

Computes the checksum for a binary `data`. This is a convenience wrapper for g_checksum_new(), `g_checksum_get_string()` and g_checksum_free().

The hexadecimal string returned will be in lower case.

Available since: 2.34

#### Parameters

`checksum_type`

  Type: `GChecksumType`

  A `GChecksumType`.

`data`

  Type: `GBytes`

  Binary blob to compute the digest of.

  The data is owned by the caller of the function.

#### Return value

Type: `gchar*`

The digest of the binary data as a string in hexadecimal, or `NULL` if `g_checksum_new()` fails for `checksum_type`. The returned string should be freed with `g_free()` when done using it.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.